#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoogle
version:              5.0.18.4
visibility:           public
id:                   hoogle-5.0.18.4-EclRmKTokIw2XYnqrFrDao
key:                  hoogle-5.0.18.4-EclRmKTokIw2XYnqrFrDao
license:              BSD-3-Clause
copyright:            Neil Mitchell 2004-2024
maintainer:           Neil Mitchell <ndmitchell@gmail.com>
author:               Neil Mitchell <ndmitchell@gmail.com>
homepage:             https://hoogle.haskell.org/
synopsis:             Haskell API Search
description:
    Hoogle is a Haskell API search engine, which allows you to
    search many standard Haskell libraries by either function name,
    or by approximate type signature.

category:             Development
abi:                  d1b58441af3db68b3002ec9b0f4b8788
exposed:              True
exposed-modules:      Hoogle
hidden-modules:
    Paths_hoogle Action.CmdLine Action.Generate Action.Search
    Action.Server Action.Test Input.Cabal Input.Download Input.Haddock
    Input.Item Input.Reorder Input.Set Input.Settings Output.Items
    Output.Names Output.Tags Output.Types Query General.Conduit
    General.IString General.Log General.Store General.Str
    General.Template General.Timing General.Util General.Web

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hoogle
hs-libraries:         HShoogle-5.0.18.4-EclRmKTokIw2XYnqrFrDao
include-dirs:         /usr/lib/ghc-9.2.8/site-local/hoogle-5.0.18.4/include
includes:             include.h
depends:
    QuickCheck-2.14.3-7UtqTMZe3jxBonzxyjYW4P
    aeson-2.1.2.1-A1BsFbrv9iTYSCFmVNKuj base-4.16.4.0 binary-0.8.9.0
    blaze-html-0.9.2.0-JHL0HJJ6Bi0ElukDz8mu1V
    blaze-markup-0.8.3.0-E4qAnXtaSD3IuxmDJrbUfV bytestring-0.11.4.0
    cmdargs-0.10.22-JQ4ivQZzeRmKKTWVSPDfjg
    conduit-1.3.6-FkwDYZYBN2n9gztrYJLrBN
    conduit-extra-1.3.6-UL8MowVobvFqAEIggQNDe containers-0.6.5.1
    crypton-connection-0.3.2-BOdXV7g5zZAKjENtBjUNKJ deepseq-1.4.6.1
    directory-1.3.6.2 extra-1.7.16-DVxFkxw4Jbm8VUOqVAQU72
    filepath-1.4.2.2 foundation-0.0.30-HGERhRs5JCDILoHDx95jS
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    haskell-src-exts-1.23.1-2lst2MCkMySE1eAtcBqL1J
    http-conduit-2.3.9.1-J5VUl4k9GWjL81jCaKFJV3
    http-types-0.12.4-A9FfoKS01QNJ4xbj90g6ZE
    js-flot-0.8.3-CzHXKBaovyL8SpvVY5AoqF
    js-jquery-3.3.1-DKIyvo2wcxd9SL81OV3KRl
    mmap-0.5.9-Ev5kK7GQQYl5y5LE8RvEAs
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7
    process-extras-0.7.4-AFHnorcPcpn7M065NdFypC
    resourcet-1.2.6-Bsii0ofts3VF0aGJ0EExRr
    safe-0.3.21-KHcadKlg5CE9pgMf4INYtE
    storable-tuple-0.1-39VVnCUZvec6u4dmCQvhoo
    tar-0.5.1.1-20I2KQMWwGN1sQyvTQfMrw template-haskell-2.18.0.0
    text-1.2.5.0 time-1.11.1.1 transformers-0.5.6.2
    uniplate-1.6.13-4KuEArh0Gfg2uQK8IWMzKU
    utf8-string-1.0.2-AaPuiI83MyhDGzjGdO2RZO
    vector-0.13.1.0-1cpgbj3eXUqGZ3uVszXgJ9
    wai-3.2.4-1dPOzUWCGn0klaxZz7IFG
    wai-logger-2.5.0-LhrCluecbqxJfwe26OQL6K
    warp-3.3.30-GnNbKSgcUbD8gi8aaxecPF
    warp-tls-3.4.9-EmPuhwO98aIBIIQsy5cOcT
    zlib-0.6.3.0-8GKNDEu5eA658hSSkslpez

haddock-interfaces:   /usr/share/doc/hoogle/html/hoogle.haddock
haddock-html:         /usr/share/doc/hoogle/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

